
User Interface - Bug #2845

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

rounded rectangle corner drawing

11/13/2015 09:16 AM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 11/13/2015 09:21 AM - Greg Shah

In the web client, the rounded rectangles are drawn using JS canvas quadraticCurveTo().  This has two potential problems:

1. It draws slightly differently than the Java2D approach used in the Swing client.

2. We don't honor the current line stroke for these curves.  This is because our line stroking approach requires that we draw the pixels ourselves.

The implication of both of the above is that we have to move away from using quadraticCurveTo() and will have to implement our own curve drawing

(like we did with the line drawing).

I have not checked to see if the Swing client's rounded rectangle corners are pixel-for-pixel identical with the WIN32 drawing being done in the 4GL. 

We need to check that first.  If that is also an issue, then we need to fix both clients at the same time.

#2 - 03/23/2016 05:03 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#3 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
